import { AfterViewInit, ElementRef, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSDropdownMenuItem implements OnInit, AfterViewInit, OnChanges {
    private ele;
    menuItemContent: ElementRef;
    selected: boolean;
    constructor(ele: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSDropdownMenuItem, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSDropdownMenuItem, "[qms-menu-item]", never, { "selected": { "alias": "selected"; "required": false; }; }, {}, ["menuItemContent"], never, false, never>;
}
